import { AsyncState } from './useAsync';
export declare type AsyncStateRetry<T> = AsyncState<T> & {
    retry(): void;
};
declare const useAsyncRetry: <T>(fn: () => Promise<T>, deps: ReadonlyArray<any>) => {
    retry: () => void;
    loading: true;
} | {
    retry: () => void;
    loading: false;
    error: Error;
} | {
    retry: () => void;
    loading: false;
    error?: undefined;
    value: T;
};
export default useAsyncRetry;
