import * as React from 'react';
var useEffect = React.useEffect;
import useKeyPress from './useKeyPress';
var useKeyPressEvent = function (targetKey, onKeyup, onKeydown) {
    if (onKeyup === void 0) { onKeyup = undefined; }
    if (onKeydown === void 0) { onKeydown = undefined; }
    var useKeyboardJS = targetKey.length > 1;
    var pressedKeys = useKeyPress(targetKey, {
        useKeyboardJS: useKeyboardJS,
    });
    if (onKeydown === undefined) {
        onKeydown = onKeyup;
        onKeyup = null;
    }
    useEffect(function () {
        if (!pressedKeys) {
            if (onKeyup)
                onKeyup(targetKey);
            return;
        }
        if (onKeydown)
            onKeydown(targetKey);
    }, [pressedKeys]);
};
export default useKeyPressEvent;
