import { useState, useEffect, useRef } from 'react';
import { isClient } from './util';
var useScroll = function (ref) {
    var frame = useRef(0);
    var _a = useState({
        x: isClient ? window.scrollX : 0,
        y: isClient ? window.scrollY : 0
    }), state = _a[0], setState = _a[1];
    useEffect(function () {
        var handler = function () {
            cancelAnimationFrame(frame.current);
            frame.current = requestAnimationFrame(function () {
                setState({
                    x: ref.current.scrollLeft,
                    y: ref.current.scrollTop
                });
            });
        };
        if (ref && ref.current) {
            ref.current.addEventListener('scroll', handler, {
                capture: false,
                passive: true
            });
        }
        return function () {
            if (frame.current) {
                cancelAnimationFrame(frame.current);
            }
            if (ref && ref.current) {
                ref.current.removeEventListener('scroll', handler);
            }
        };
    }, [ref]);
    return state;
};
export default useScroll;
