import { useRef, useEffect, useCallback } from 'react';
var useThrottle = function (fn, ms, args) {
    if (ms === void 0) { ms = 0; }
    var lastRan = useRef(0);
    var timeout = useRef(0);
    var run = useCallback(function () {
        fn.apply(null, args);
        lastRan.current = Date.now();
    }, [fn, args]);
    useEffect(function () {
        clearTimeout(timeout.current);
        var diff = Date.now() - lastRan.current;
        if (diff >= ms) {
            run();
        }
        else {
            timeout.current = window.setTimeout(run, ms - diff);
        }
        return function () {
            clearTimeout(timeout.current);
        };
    }, args);
};
export default useThrottle;
