"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var util_1 = require("./util");
var useClickAway = function (ref, onClickAway) {
    react_1.useEffect(function () {
        var handler = function (event) {
            var el = ref.current;
            el && !el.contains(event.target) && onClickAway();
        };
        util_1.on(document, 'click', handler);
        return function () {
            util_1.off(document, 'click', handler);
        };
    });
};
exports.default = useClickAway;
