"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useThrottle = function (fn, ms, args) {
    if (ms === void 0) { ms = 0; }
    var lastRan = react_1.useRef(0);
    var timeout = react_1.useRef(0);
    var run = react_1.useCallback(function () {
        fn.apply(null, args);
        lastRan.current = Date.now();
    }, [fn, args]);
    react_1.useEffect(function () {
        clearTimeout(timeout.current);
        var diff = Date.now() - lastRan.current;
        if (diff >= ms) {
            run();
        }
        else {
            timeout.current = window.setTimeout(run, ms - diff);
        }
        return function () {
            clearTimeout(timeout.current);
        };
    }, args);
};
exports.default = useThrottle;
